"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.testSuiteWrite = void 0;
const assert_1 = __importDefault(require("assert"));
const mocha_1 = __importDefault(require("mocha"));
function testSuiteWrite(repositoryTestData) {
    const testSuite = new mocha_1.default.Suite('write');
    for (const key in repositoryTestData.entityData) {
        testSuite.addTest(new mocha_1.default.Test(`should write valid data to a model correctly (${key})`, async function () {
            const model = (await repositoryTestData.repository.create());
            (0, assert_1.default)(repositoryTestData.validateCreate(model));
            await repositoryTestData.repository.write(model, repositoryTestData.entityData[key].request);
            (0, assert_1.default)(repositoryTestData.validateWrite(model, repositoryTestData.entityData[key].request));
        }));
    }
    return testSuite;
}
exports.testSuiteWrite = testSuiteWrite;
//# sourceMappingURL=write.spec.js.map