"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetch = void 0;
const fetch_retry_1 = __importDefault(require("fetch-retry"));
const requestId_js_1 = require("./logging/requestId.js");
const requestIDAwareFetch = async (input, init) => {
    const id = requestId_js_1.requestIdContext.getStore();
    if (id) {
        init = {
            ...init,
            headers: {
                ...init?.headers,
                'X-Request-ID': id,
            },
        };
    }
    return global.fetch(input, init);
};
function retryDelayFunction(attempt) {
    if (attempt === 1)
        return 0;
    return 2 ** (attempt - 1) * 200;
} // 0, 200, 400, 800
exports.fetch = (0, fetch_retry_1.default)(requestIDAwareFetch, {
    retries: 4,
    retryDelay: retryDelayFunction,
});
//# sourceMappingURL=fetch.js.map